scala.collection.jcl
trait SortedSetWrapper

[source: `scala/collection/jcl/SortedSetWrapper.scala`]

`` `trait` SortedSetWrapper[A]
  `extends` SortedSet[A]`with` SetWrapper[A]

  A wrapper around a Java sorted set.

  The comparator of the sorted set matches the comparator of this set.

Author
  Sean McDirmid

Direct Known Subclasses:
  SortedSetWrapper.Range, TreeSet

Method Summary
`override def` | compare (a0 : A, a1 : A) : Int delegates to the comparator of the underlying Java sorted set
`override def` | firstKey : A Returns the first key of the collection.
`override def` | lastKey : A Returns the last key of the collection.
`override def` | rangeImpl (from : Option[A], until : Option[A]) : SortedSet[A] Creates a ranged projection of this collection. Any mutations in the ranged projection will update this collection and vice versa. Keys are garuanteed to be consistent between the collection and its projection.
`override def` | toString : java.lang.String
`abstract def` | underlying : java.util.SortedSet Override to specify the collection being accessed through this wrapper. * Collection operations are then routed through the wrapped Java collection.

Methods inherited from SetWrapper
isEmpty, clear, size

Methods inherited from CollectionWrapper
has, elements, hasAll, add, addAll, hashCode, equals

Methods inherited from IterableWrapper
remove, removeAll, retainAll

Methods inherited from SortedSet
keySet, subsetOf, projection

Methods inherited from Sorted
to

Methods inherited from Ranged
from, until, range

Methods inherited from Set
contains, ++, --, +, -, retain, transform

Methods inherited from Collection
-=, +=

Methods inherited from MutableIterable
retainOnly, size0

Methods inherited from Set
update, +=, ++=, ++=, +, ++, incl, -=, --=, --=, -, --, excl, intersect, <<, clone, readOnly

Methods inherited from Sorted
hasAll

Methods inherited from Set
apply, *, **, toArray, stringPrefix

Methods inherited from Iterable
concat, ++, map, flatMap, filter, partition, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from Function1
compose, andThen

Methods inherited from AnyRef
getClass, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Class Summary
`protected class` | Range (from : Option[A], until : Option[A])`extends` Range `with` SortedSetWrapper[A]

Method Details

`abstract` `def` underlying : java.util.SortedSet

  Override to specify the collection being accessed through this wrapper. * Collection operations are then routed through the wrapped Java collection.

Overrides
  SetWrapper.underlying

`override` `def` compare(a0 : A, a1 : A) : Int

  delegates to the comparator of the underlying Java sorted set

Overrides
  SortedSet.compare

`override` `def` firstKey : A

  Returns the first key of the collection.

Overrides
  SortedSet.firstKey

`override` `def` lastKey : A

  Returns the last key of the collection.

Overrides
  SortedSet.lastKey

`override` `def` rangeImpl(from : Option[A], until : Option[A]) : SortedSet[A]

  Creates a ranged projection of this collection. Any mutations in the ranged projection will update this collection and vice versa. Keys are garuanteed to be consistent between the collection and its projection.

Parameters
  `from -` The lower-bound (inclusive) of the ranged projection. `None` if there is no lower bound.
  `until -` The upper-bound (exclusive) of the ranged projection. `None` if there is no upper bound.

Overrides
  SortedSet.rangeImpl

`override` `def` toString : java.lang.String